Bug 61009 - vfat entries in fstab cause system to hang on boot
Summary: vfat entries in fstab cause system to hang on boot
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-11 21:54 UTC by Need Real Name
Modified: 2007-04-18 16:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 15:11:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-03-11 21:54:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-21custom i686)

Description of problem:
non auto-mounting entriess for local vfat filesystems declared in /etc/fstab
cause boot to multi-user to hang.
Compiling Vfat/DOS drivers static in kernel does not solve.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Create Vfat partitions. Format. Mount and test.
Add entries to /etc/fstab with options to no-auto mount: (and mounts points ;-)

/dev/hda1              /dos/c          vfat    noauto,rw       0 0

reboot

Actual Results:  System hangs on boot

Expected Results:  Same entries in 6.2 and 7.0 worked ok
I used auto.mount tables to mount/umount on demand.

Additional info:

Tried compiling MSDOS and VFAT into static kernel so that dvrs would be avail
from boot. No joy.

Comment 1 Michael Schwendt 2002-04-19 11:56:10 UTC
1. When exactly does the boot procedure hang?

2. Are you sure you have "0 0" at the end of the line in /etc/fstab?


Comment 2 Jeff Moyer 2004-03-19 22:45:21 UTC
Please answer the above questions.

thanks.

Comment 3 Jeff Moyer 2005-10-21 15:11:57 UTC
closing bug due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.